Summary: Download files from the usenet
Name: nntpgrab
Version: 0.6.91
Release: 2%{?dist}
License: GPLv2+
Group: Applications/Internet
Source0: http://www.nntpgrab.nl/releases/nntpgrab-%{version}.tar.bz2
Source1: nntpgrab_php.ini

BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
URL: http://www.nntpgrab.nl

Requires:	nntpgrab-gui = %{version}-%{release}
Requires:	nntpgrab-server = %{version}-%{release}
Requires:	nntpgrab-server-gtk = %{version}-%{release}

BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	gtk2-devel
BuildRequires:	libxml2-devel
BuildRequires:	libnotify-devel
BuildRequires:	php-devel
BuildRequires:	dbus-devel
BuildRequires:	intltool
BuildRequires:	libsoup-devel
BuildRequires:	par2cmdline
BuildRequires:	NetworkManager-glib-devel
BuildRequires:	gnutls-devel
%if 0%{?rhel} != 5
BuildRequires:	libproxy-devel
BuildRequires:	PolicyKit-gnome-devel
%if 0%{?fedora} > 0
# Qt dependencies. Can be moved outside this %%if when
# all packages are available in EPEL-6
BuildRequires:	qt-devel
BuildRequires:	qtsingleapplication-devel
%global have_qt	1
%endif
%else
BuildRequires:	pcre-devel
BuildRequires:	curl-devel
BuildRequires:	libglade2-devel
%endif
%if 0%{?fedora} >= 15
BuildRequires:	gobject-introspection-devel
%endif

%description
With this program it is possible to download files from the usenet

%package core
Summary:	NNTPGrab Core library
Group:		%{group}
Requires:	par2cmdline

%post	core -p /sbin/ldconfig
%postun	core -p /sbin/ldconfig

%description core
Core library of NNTPGrab containing all the internal plugins


%package gui-base
Summary:	Libraries required for the NNTPGrab GUI and NNTPGrab Server
Group:		%{group}

%post	gui-base -p /sbin/ldconfig
%postun gui-base -p /sbin/ldconfig

%description gui-base
The libraries in this package contains functions which are required
by both the NNTPGrab GUI and the NNTPGrab Server


%package gui
Summary:	GUI Frontend of NNTPGrab
Requires:	nntpgrab-core = %{version}-%{release}
Requires:	nntpgrab-gui-base = %{version}-%{release}
Requires:	xdg-utils
Group:		%{group}
Obsoletes:	nntpgrab-gui-networked <= 0.4.2-3%{?dist}
Provides:	nntpgrab-gui-networked = %{version}-%{release}

%description gui
GUI Frontend of NNTPGrab (written in GTK)


%if 0%{?have_qt} > 0
%package gui-qt
Summary:	GUI Frontend of NNTPGrab (Qt version)
Group:		%{group}
Requires:	nntpgrab-core = %{version}-%{release}

%description gui-qt
GUI Frontend of NNTPGrab written in Qt
%endif


%package devel
Summary:	Development files for NNTPGrab
Group:		%{group}
Requires:	nntpgrab = %{version}-%{release}
Requires:	glib2-devel

%description devel
Development files needed to create NNTPGrab frontends


%package server
Summary:	NNTPGrab server (Console version)
Group:		%{group}
Requires:	nntpgrab-core = %{version}-%{release}

%description server
The NNTPGrab Server is required if you want to use the NNTPGrab webinterface
or control the program from a remote computer

This is the console version


%package server-gtk
Summary:	NNTPGrab server (GTK GUI version)
Group:		%{group}
Requires:	nntpgrab-core = %{version}-%{release}
Requires:	nntpgrab-gui-base = %{version}-%{release}
Obsoletes:	nntpgrab-server-gui <= 0.5.90-1%{?dist}
Provides:	nntpgrab-server-gui = %{version}-%{release}

%description server-gtk
The NNTPGrab Server is required if you want to use the NNTPGrab webinterface
or control the program from a remote computer

This the GUI version (based on GTK)


%if 0%{?have_qt} > 0
%package server-qt
Summary:	NNTPGrab server (Qt GUI version)
Group:		%{group}
Requires:	nntpgrab-core = %{version}-%{release}

%description server-qt
The NNTPGrab Server is required if you want to use the NNTPGrab webinterface
or control the program from a remote computer

This the GUI version (based on Qt)
%endif


%package php
Summary:	PHP module which allows PHP scripts to communicate with NNTPGrab
Requires:	nntpgrab-core = %{version}-%{release}
Group:		%{group}
Requires:	php >= 4.1.0
Obsoletes:	nntpgrab-web <= 0.5.91-2%{?dist}
Provides:	nntpgrab-web = %{version}-%{release}

%description php
PHP module which allows PHP scripts to communicate with NNTPGrab. NNTPGrab has an
embedded webinterface which doesn't require this package to be installed


%prep
%setup -q


%build
%if 0%{?fedora} == 14
INTROSPECTION_ARGS="--enable-introspection=no"
%else
INTROSPECTION_ARGS=""
%endif
%configure --enable-php-module --disable-gtk3 $INTROSPECTION_ARGS
make %{?_smp_mflags}

# The Qt frontend has a seperate build process
%if 0%{?have_qt} > 0
# We only build for Fedora environments as the Qt which is bundled with RHEL5 is too old or broken
# (uic bails out on RHEL5 with the error: 'uic: File generated with too old version of Qt Designer')
pushd client/gui_qt
	%{_libdir}/qt4/bin/qmake gui_qt.pro -o Makefile
	make %{?_smp_mflags}
popd
pushd server_qt
	%{_libdir}/qt4/bin/qmake server_qt.pro -o Makefile
	make %{?_smp_mflags}
popd
%endif


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL_ROOT=%{buildroot}

desktop-file-install --vendor fedora --delete-original \
  --add-category Network \
  --copy-generic-name-to-name \
  --dir %{buildroot}%{_datadir}/applications \
  %{buildroot}%{_datadir}/applications/nntpgrab.desktop

desktop-file-install --vendor fedora --delete-original \
  --add-category Network \
  --copy-generic-name-to-name \
  --dir %{buildroot}%{_datadir}/applications \
  %{buildroot}%{_datadir}/applications/nntpgrab_server_gtk.desktop

# Rename the plugins from name_of_plugin.so.0.0.0 to name_of_plugin.so
for fn in %{buildroot}%{_libdir}/nntpgrab/libnntpgrab_plugin_decoder.so \
	  %{buildroot}%{_libdir}/nntpgrab/libnntpgrab_plugin_par2.so \
	  %{buildroot}%{_libdir}/nntpgrab/libnntpgrab_plugin_unpack.so \
	  %{buildroot}%{_libdir}/nntpgrab/libnntpgrab_plugin_jsonrpc.so \
	  %{buildroot}%{_libdir}/nntpgrab/libnntpgrab_plugin_logger.so \
%if 0%{?rhel} != 5
	  %{buildroot}%{_libdir}/nntpgrab/libnntpgrab_plugin_auto_import.so \
	  %{buildroot}%{_libdir}/nntpgrab/libnntpgrab_plugin_networkmanager.so \
%endif
	  ;
do
	rm $fn
	rm $fn.0
	mv $fn.0.0.0 $fn
done

# Libtool files are unnecessary
find $RPM_BUILD_ROOT -name \*.la -exec rm -f {} \;

# The glade interface isn't used on GTK 2.12.0 and higher
%if 0%{?rhel} != 5
rm -f %{buildroot}%{_datadir}/nntpgrab/nntpgrab_gui.glade
rm -f %{buildroot}%{_datadir}/nntpgrab/nntpgrab_server.glade
%else
rm -f %{buildroot}%{_datadir}/nntpgrab/nntpgrab_gui.ui
rm -f %{buildroot}%{_datadir}/nntpgrab/nntpgrab_server.ui
%endif

# Install the Qt frontends
%if 0%{?have_qt} > 0
pushd client/gui_qt
	install -m 755 nntpgrab_gui_qt %{buildroot}%{_bindir}
	mkdir -p %{buildroot}%{_datadir}/nntpgrab/translations/
	install -m 644 translations/*.qm %{buildroot}%{_datadir}/nntpgrab/translations/
	install -m 644 nntpgrab_qt.desktop %{buildroot}%{_datadir}/applications/nntpgrab_qt.desktop

	desktop-file-install --vendor fedora --delete-original \
	  --add-category Network \
	  --copy-generic-name-to-name \
	  --dir %{buildroot}%{_datadir}/applications \
	  %{buildroot}%{_datadir}/applications/nntpgrab_qt.desktop
popd
pushd server_qt
	install -m 755 nntpgrab_server_qt %{buildroot}%{_bindir}/nntpgrab_server_qt
	install -m 644 nntpgrab_server_qt.desktop %{buildroot}%{_datadir}/applications/nntpgrab_server_qt.desktop

	desktop-file-install --vendor fedora --delete-original \
	  --add-category Network \
	  --copy-generic-name-to-name \
	  --dir %{buildroot}%{_datadir}/applications \
	  %{buildroot}%{_datadir}/applications/nntpgrab_server_qt.desktop
popd
%endif

# Install a configuration file for the PHP module
mkdir -p %{buildroot}/%{_sysconfdir}/php.d
install -m 644 %{SOURCE1} %{buildroot}/%{_sysconfdir}/php.d/nntpgrab.ini

%find_lang NNTPGrab


%clean
rm -rf %{buildroot}
	

%files
%defattr(-,root,root,-)

%files core -f NNTPGrab.lang
%defattr(-,root,root,-)
%doc COPYING ChangeLog
%{_libdir}/libnntpgrab.so.0
%{_libdir}/libnntpgrab.so.0.0.0
%{_libdir}/libnntpgrab_automation.so.0
%{_libdir}/libnntpgrab_automation.so.0.0.0
%{_libdir}/libnntpgrab_utils.so.0
%{_libdir}/libnntpgrab_utils.so.0.0.0
%{_libdir}/libnntpgrab_glue.so.0
%{_libdir}/libnntpgrab_glue.so.0.0.0
%dir %{_libdir}/nntpgrab
%{_libdir}/nntpgrab/libnntpgrab_plugin_decoder.so
%{_libdir}/nntpgrab/libnntpgrab_plugin_jsonrpc.so
%{_libdir}/nntpgrab/libnntpgrab_plugin_logger.so
%{_libdir}/nntpgrab/libnntpgrab_plugin_par2.so
%{_libdir}/nntpgrab/libnntpgrab_plugin_unpack.so
%if 0%{?rhel} != 5
%{_libdir}/nntpgrab/libnntpgrab_plugin_auto_import.so
%{_libdir}/nntpgrab/libnntpgrab_plugin_networkmanager.so
%endif
%{_datadir}/pixmaps/nntpgrab.png
%dir %{_datadir}/nntpgrab
%{_datadir}/nntpgrab/web

%files gui
%defattr(-,root,root,-)
%{_datadir}/applications/fedora-nntpgrab.desktop
%{_bindir}/nntpgrab_gui
%if 0%{?rhel} == 5
%{_datadir}/nntpgrab/nntpgrab_gui.glade
%else
%{_datadir}/nntpgrab/nntpgrab_gui.ui
%endif

%if 0%{?have_qt} > 0
%files gui-qt
%defattr(-,root,root,-)
%{_bindir}/nntpgrab_gui_qt
%{_datadir}/applications/fedora-nntpgrab_qt.desktop
%{_datadir}/nntpgrab/translations/
%endif

%files devel
%defattr(-,root,root,-)
%{_libdir}/libnntpgrab.so
%{_libdir}/libnntpgrab_glue.so
%{_libdir}/libnntpgrab_utils.so
%{_libdir}/libnntpgrab_automation.so
%{_libdir}/libnntpgrab_gui_base.so
%{_includedir}/nntpgrab
%{_libdir}/pkgconfig/nntpgrab.pc
%{_libdir}/pkgconfig/nntpgrab_automation.pc
%{_libdir}/pkgconfig/nntpgrab_glue.pc
%{_libdir}/pkgconfig/nntpgrab_utils.pc
%{_datadir}/gtk-doc/
%if 0%{?fedora} >= 15
%{_libdir}/girepository-1.0/Nntpgrab-1.0.typelib
%{_datadir}/gir-1.0/Nntpgrab-1.0.gir
%endif

%files gui-base
%defattr(-,root,root,-)
%{_libdir}/libnntpgrab_gui_base.so.0
%{_libdir}/libnntpgrab_gui_base.so.0.0.0

%files server
%defattr(-,root,root,-)
%{_bindir}/nntpgrab_server

%files server-gtk
%defattr(-,root,root,-)
%{_bindir}/nntpgrab_server_gtk
%{_datadir}/applications/fedora-nntpgrab_server_gtk.desktop
%if 0%{?rhel} == 5
%{_datadir}/nntpgrab/nntpgrab_server.glade
%else
%{_datadir}/nntpgrab/nntpgrab_server.ui
%endif

%if 0%{?have_qt} > 0
%files server-qt
%defattr(-,root,root,-)
%{_bindir}/nntpgrab_server_qt
%{_datadir}/applications/fedora-nntpgrab_server_qt.desktop
%endif

%files php
%defattr(-,root,root,-)
%{_libdir}/php/modules/php_nntpgrab.so
%config(noreplace) %{_sysconfdir}/php.d/nntpgrab.ini


%changelog
* Mon Dec 20 2010 Erik van Pienbroek <info@nntpgrab.nl> - 0.6.91-2
- Really disable the gobject-introspection bits on Fedora 14 as they
  cause a compile failure

* Mon Dec 20 2010 Erik van Pienbroek <info@nntpgrab.nl> - 0.6.91-1
- Update to 0.6.91
- Drop upstreamed patch
- Build against gnutls instead of nss/nss_compat_ossl
- Don't build the Qt frontend on EL-6 as not all dependencies are available yet
- Only bundle the gobject-introspection files on Fedora >= 15
- Use parallel make while building the Qt frontend
- Dropped F-12 pieces as it's EOL
- Dropped old obsoletes
- Simplified the commands executed in the %%install phase

* Sun Sep 26 2010 Erik van Pienbroek <info@nntpgrab.nl> - 0.6.90-6
- Own %%{_datadir}/gtk-doc instead of %%{_datadir}/gtk-doc/html/NNTPGrab to comply with rhbz #604169

* Sat Sep 11 2010 Erik van Pienbroek <info@nntpgrab.nl> - 0.6.90-5
- Force the use of Qt >= 4.6 on Fedora 12 to avoid a segfault when using Qt 4.5

* Sat Sep 11 2010 Erik van Pienbroek <info@nntpgrab.nl> - 0.6.90-4
- Force the use of libsoup >= 2.28.2 on Fedora 12 for gzip content-encoding support

* Mon Sep  6 2010 Erik van Pienbroek <info@nntpgrab.nl> - 0.6.90-3
- Fixed a plugin dependency resolving issue

* Sat Aug 21 2010 Erik van Pienbroek <info@nntpgrab.nl> - 0.6.90-2
- Dropped the Requires: nntpgrab-gui-base from the server-qt subpackage
- Dropped some unneeded BR's
- Added support for EL6

* Sat Aug 21 2010 Erik van Pienbroek <info@nntpgrab.nl> - 0.6.90-1
- Update to 0.6.90 (0.7 Beta 1)
- Added nntpgrab-qt subpackage which contains a Qt frontend
- Disable gtk3 support for now
- Bundle the gtk-doc API documentation with the devel subpackage

* Sat Jun  5 2010 Erik van Pienbroek <info@nntpgrab.nl> - 0.6.2-1
- Update to 0.6.2

* Fri Mar 26 2010 Erik van Pienbroek <info@nntpgrab.nl> - 0.6.1-1
- Update to 0.6.1

* Sat Mar  6 2010 Erik van Pienbroek <info@nntpgrab.nl> - 0.6.0-1
- Update to 0.6.0
- Merged the EL-5 and Fedora .spec file
- Dropped upstreamed EL-5 specific patch
- Renamed the nntpgrab-web subpackage to nntpgrab-php as it only
  contains an PHP module

* Sat Feb 27 2010 Erik van Pienbroek <info@nntpgrab.nl> - 0.5.91-2
- The standalone GUI and the server GUI were broken on EL-5 due to missing .glade files. Fixed
- Backported an upstreamed patch which fixes two JSON-RPC bugs

* Fri Feb 19 2010 Erik van Pienbroek <info@nntpgrab.nl> - 0.5.91-1
- Update to 0.5.91 (0.6 Beta 2)
- Renamed the nntpgrab-server-gui subpackage to nntpgrab-server-gtk
- Added a new nntpgrab-server-qt subpackage

* Fri Dec 25 2009 Erik van Pienbroek <info@nntpgrab.nl> - 0.5.90-1
- Update to 0.5.90 (0.6 Beta 1)

* Fri Sep 18 2009 Caolán McNamara <caolanm@redhat.com> - 0.5.1-3
- rebuild for dependencies

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Jul 19 2009 Erik van Pienbroek <info@nntpgrab.nl> - 0.5.1-1
- Update to 0.5.1

* Mon Jun 29 2009 Erik van Pienbroek <info@nntpgrab.nl> - 0.5.0-1
- Update to 0.5.0
- Added support for EPEL-5

* Tue May  5 2009 Erik van Pienbroek <info@nntpgrab.nl> - 0.4.91-1
- Update to 0.4.91
- Drop upstreamed patches

* Mon Apr 13 2009 Erik van Pienbroek <info@nntpgrab.nl> - 0.4.90-3
- Added a patch to prevent a possible deadlock (upstream SVN rev #1264)
- Added a patch to fix the removal of collections (upstream SVN rev #1260)
- Added BR: gail-devel for F9 (RHBZ #491785)

* Sat Mar 21 2009 Erik van Pienbroek <info@nntpgrab.nl> - 0.4.90-2
- The program wouldn't start unless the -devel package was installed. Fixed

* Sun Mar 15 2009 Erik van Pienbroek <info@nntpgrab.nl> - 0.4.90-1
- Update to 0.4.90
- Removed the core-libs subpackage (obsoleted by the core subpackage)
- Removed the gui-networked subpackage (obsoleted by the gui subpackage)
- Added the server-gui subpackage
- Drop upstreamed patch

* Thu Feb 26 2009 Erik van Pienbroek <info@nntpgrab.nl> - 0.4.2-3
- Disabled the test_nntp_connection and test_configuration testcases
  as they relied on internal library data which isn't exported
  anymore with GCC 4.4

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jan 10 2009 Erik van Pienbroek <info@nntpgrab.nl> - 0.4.2-1
- Update to 0.4.2

* Mon Dec 29 2008 Erik van Pienbroek <info@nntpgrab.nl> - 0.4.1-1
- Update to 0.4.1
- Fix a broken upgrade path

* Mon Dec 8 2008 Erik van Pienbroek <info@nntpgrab.nl> - 0.4.0-2
- Updated summary
- The PHP scripts don't need to be part of the core-libs subpackage, but
  of the web subpackage
- Install the NNTPGrab server when the meta-package 'nntpgrab' is installed
- Drop an obsolete Requires

* Sun Nov 23 2008 Erik van Pienbroek <info@nntpgrab.nl> - 0.4.0-1
- Update to 0.4.0

* Fri Oct 10 2008 Erik van Pienbroek <info@nntpgrab.nl> - 0.3.93-1
- Update to 0.3.93

* Fri Oct 3 2008 Erik van Pienbroek <info@nntpgrab.nl> - 0.3.92-2
- Tarball was respun by upstream

* Fri Oct 3 2008 Erik van Pienbroek <info@nntpgrab.nl> - 0.3.92-1
- Update to 0.3.92
- Drop upstreamed patch

* Sat Sep 13 2008 Erik van Pienbroek <info@nntpgrab.nl> - 0.3.91-2
- BR: libtool added

* Sat Sep 13 2008 Erik van Pienbroek <info@nntpgrab.nl> - 0.3.91-1
- Update to 0.3.91
- Added a patch to use NSS instead of OpenSSL (with the help of nss_compat_ossl)
- The .htaccess file was missing in the nntpgrab-web subpackage

* Thu Aug 28 2008 Michael Schwendt <mschwendt@fedoraproject.org> - 0.3.90-3
- Include %%_libdir/nntpgrab directory.

* Fri Aug 22 2008 Erik van Pienbroek <info@nntpgrab.nl> - 0.3.90-2
- Reverted one of the rpmlint fixes as it was causing a build failure

* Fri Aug 22 2008 Erik van Pienbroek <info@nntpgrab.nl> - 0.3.90-1
- Update to version 0.3.90 (0.4 beta 1)
- Upstream has changed a lot in the infrastructure:
  - Added core-libs subpackage
  - Added gui-base subpackage
  - Added gui-networked subpackage
  - Merged the plugins subpackage with the core subpackage
- Several rpmlint warnings fixed

* Sat Aug 9 2008 Erik van Pienbroek <info@nntpgrab.nl> - 0.3.3-1
- Update to version 0.3.3

* Sat Jul 19 2008 Erik van Pienbroek <info@nntpgrab.nl> - 0.3.2-2
- Tarball was respun by upstream

* Sat Jul 19 2008 Erik van Pienbroek <info@nntpgrab.nl> - 0.3.2-1
- Update to version 0.3.2

* Wed Jun 11 2008 Erik van Pienbroek <info@nntpgrab.nl> - 0.3.1-2
- Added BR: intltool

* Wed Jun 11 2008 Erik van Pienbroek <info@nntpgrab.nl> - 0.3.1-1
- Update to version 0.3.1

* Sun Jun 1 2008 Erik van Pienbroek <info@nntpgrab.nl> - 0.3.0-1
- Update to version 0.3.0

* Mon May 26 2008 Erik van Pienbroek <info@nntpgrab.nl> - 0.2.91-1
- Update to version 0.2.91 (0.3 beta 2)

* Sat May 17 2008 Erik van Pienbroek <info@nntpgrab.nl> - 0.2.90-1
- Update to version 0.2.90 (0.3 beta 1) containing lots of new features
- Added a -server subpackage
- Added a -web subpackage
- All the plugins are now moved to %%{_libdir}/nntpgrab

* Sat Mar 8 2008 Erik van Pienbroek <info@nntpgrab.nl> - 0.2.4-1
- Update to version 0.2.4
- Drop upstreamed patches

* Sat Mar 1 2008 Erik van Pienbroek <info@nntpgrab.nl> - 0.2.3-2
- The program would always crash with GTK 2.12.7 or higher.
  Added a patch to avoid this crash (GNOME BZ #514162)

* Tue Feb 5 2008 Erik van Pienbroek <info@nntpgrab.nl> - 0.2.3-1
- Update to 0.2.3. Fixes regression in 0.2.2
- Added a patch to fix an off-by-one error

* Sun Jan 27 2008 Erik van Pienbroek <info@nntpgrab.nl> - 0.2.2-1
- Update to 0.2.2, bugfix release which should solve some
  deadlocks and eternal loops

* Sat Jan 12 2008 Erik van Pienbroek <info@nntpgrab.nl> - 0.2.1-4
- Removed the %%post{,un} scriptlets for the -plugins subpackage
- Removed README file from %%doc as it is a zero-byte file
- Removed the .la file from the -devel subpackage

* Fri Jan 11 2008 Erik van Pienbroek <info@nntpgrab.nl> - 0.2.1-3
- Processed feedback from Mamoru Tasaka which was posted in the bugzilla ticket

* Sun Dec 30 2007 Erik van Pienbroek <info@nntpgrab.nl> - 0.2.1-2
- Preparations for inclusion in Fedora

* Wed Dec 26 2007 Erik van Pienbroek <info@nntpgrab.nl> - 0.2.1-1
- Version 0.2.1

* Mon Dec 24 2007 Erik van Pienbroek <info@nntpgrab.nl> - 0.2-1
- Version 0.2

* Tue Nov 27 2007 Erik van Pienbroek <info@nntpgrab.nl> - 0.1-1
- Initial release

